FLANG

Public Member Functions | List of all members
Fortran::semantics::MessageHandler Class Reference

## Public Member Functions
| MessageHandler (SemanticsContext &c)
Messages & | messages ()
const std::optional< SourceName > & | currStmtSource ()
void | set_currStmtSource (const std::optional< SourceName > &source)
Message & | Say (MessageFixedText &&)
Message & | Say (MessageFormattedText &&)
Message & | Say (const SourceName &, MessageFixedText &&)
template<typename... A>
Message & | Say (const SourceName &source, MessageFixedText &&msg, A &&... args)

The documentation for this class was generated from the following file:

- lib/Semantics/resolve-names.cpp